Bug 1524386 - SDL2 CMake files trigger CMP0004 policy failure (fixed in latest Fedora packages)
Summary: SDL2 CMake files trigger CMP0004 policy failure (fixed in latest Fedora packa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: SDL2
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-11 12:14 UTC by Neal Gompa
Modified: 2018-05-27 20:13 UTC (History)
3 users (show)

See Also:
Fixed In Version: SDL2-2.0.8-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-27 20:13:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
SDL Simple Directmedia Layer 3295 None None None 2017-12-11 12:14:49 UTC

Description Neal Gompa 2017-12-11 12:14:50 UTC
Description of problem:

When building lugaru for EL7, I was forced to adjust the CMake policy because the SDL2 CMake config files were broken[1].

However, this appears to be fixed in the latest Fedora packages of SDL2. Looking back, this was fixed in 2.0.5 with a patch from Debian[2].

I want to remove the CMP0004 policy override as it throws nasty deprecation warnings[3].

[1]: https://gitlab.com/osslugaru/lugaru/commit/b461f4a69c17073d5c576d24e48b1b59c0d3c932

[2]: https://bugzilla.libsdl.org/show_bug.cgi?id=3295

[3]: https://gitlab.com/osslugaru/lugaru/issues/99

Version-Release number of selected component (if applicable):
2.0.3-9.el7

Comment 1 Neal Gompa 2017-12-11 12:18:25 UTC
This is especially important to me as Lugaru upstream as our official binaries on our website[1] are built from CentOS 7 with Fedora EPEL 7 packages.

[1]: https://osslugaru.gitlab.io/

Comment 2 Fedora Update System 2018-05-22 14:44:12 UTC
SDL2-2.0.8-5.el7 SDL2_gfx-1.0.3-1.el7 SDL2_image-2.0.3-1.el7 SDL2_mixer-2.0.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-20c3b6be2a

Comment 3 Fedora Update System 2018-05-23 16:28:41 UTC
SDL2-2.0.8-5.el7, SDL2_gfx-1.0.3-1.el7, SDL2_image-2.0.3-1.el7, SDL2_mixer-2.0.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-20c3b6be2a

Comment 4 Fedora Update System 2018-05-27 20:13:31 UTC
SDL2-2.0.8-5.el7, SDL2_gfx-1.0.3-1.el7, SDL2_image-2.0.3-1.el7, SDL2_mixer-2.0.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.